/*******************************************************************************
* File Name: LCDChar_PM.c
* Version 2.20
*
* Description:
*  This file provides the API source code for the Static Segment LCD component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "LCDChar.h"


static LCDChar_BACKUP_STRUCT LCDChar_backup;


/*******************************************************************************
* Function Name: LCDChar_SaveConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCDChar_SaveConfig(void) 
{
}


/*******************************************************************************
* Function Name: LCDChar_RestoreConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCDChar_RestoreConfig(void) 
{
}


/*******************************************************************************
* Function Name: LCDChar_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the sleep mode.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCDChar_Sleep(void) 
{
    LCDChar_backup.enableState = LCDChar_enableState;
    LCDChar_SaveConfig();
    LCDChar_Stop();
}


/*******************************************************************************
* Function Name: LCDChar_Wakeup
********************************************************************************
*
* Summary:
*  Wakes the component from sleep mode. Configures DMA and enables the component
*  for normal operation.
*
* Parameters:
*  LCDChar_enableState - Global variable.
*
* Return:
*  Status one of standard status for PSoC3 Component
*       CYRET_SUCCESS - Function completed successfully.
*       CYRET_LOCKED - The object was locked, already in use. Some of TDs or
*                      a channel already in use.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCDChar_Wakeup(void) 
{
    LCDChar_RestoreConfig();

    if(LCDChar_backup.enableState == 1u)
    {
        LCDChar_Enable();
    }
}


/* [] END OF FILE */
