/*******************************************************************************
* File Name: PinAn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinAn_H) /* Pins PinAn_H */
#define CY_PINS_PinAn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PinAn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PinAn__PORT == 15 && ((PinAn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    PinAn_Write(uint8 value);
void    PinAn_SetDriveMode(uint8 mode);
uint8   PinAn_ReadDataReg(void);
uint8   PinAn_Read(void);
void    PinAn_SetInterruptMode(uint16 position, uint16 mode);
uint8   PinAn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the PinAn_SetDriveMode() function.
     *  @{
     */
        #define PinAn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define PinAn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define PinAn_DM_RES_UP          PIN_DM_RES_UP
        #define PinAn_DM_RES_DWN         PIN_DM_RES_DWN
        #define PinAn_DM_OD_LO           PIN_DM_OD_LO
        #define PinAn_DM_OD_HI           PIN_DM_OD_HI
        #define PinAn_DM_STRONG          PIN_DM_STRONG
        #define PinAn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define PinAn_MASK               PinAn__MASK
#define PinAn_SHIFT              PinAn__SHIFT
#define PinAn_WIDTH              1u

/* Interrupt constants */
#if defined(PinAn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in PinAn_SetInterruptMode() function.
     *  @{
     */
        #define PinAn_INTR_NONE      (uint16)(0x0000u)
        #define PinAn_INTR_RISING    (uint16)(0x0001u)
        #define PinAn_INTR_FALLING   (uint16)(0x0002u)
        #define PinAn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define PinAn_INTR_MASK      (0x01u) 
#endif /* (PinAn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PinAn_PS                     (* (reg8 *) PinAn__PS)
/* Data Register */
#define PinAn_DR                     (* (reg8 *) PinAn__DR)
/* Port Number */
#define PinAn_PRT_NUM                (* (reg8 *) PinAn__PRT) 
/* Connect to Analog Globals */                                                  
#define PinAn_AG                     (* (reg8 *) PinAn__AG)                       
/* Analog MUX bux enable */
#define PinAn_AMUX                   (* (reg8 *) PinAn__AMUX) 
/* Bidirectional Enable */                                                        
#define PinAn_BIE                    (* (reg8 *) PinAn__BIE)
/* Bit-mask for Aliased Register Access */
#define PinAn_BIT_MASK               (* (reg8 *) PinAn__BIT_MASK)
/* Bypass Enable */
#define PinAn_BYP                    (* (reg8 *) PinAn__BYP)
/* Port wide control signals */                                                   
#define PinAn_CTL                    (* (reg8 *) PinAn__CTL)
/* Drive Modes */
#define PinAn_DM0                    (* (reg8 *) PinAn__DM0) 
#define PinAn_DM1                    (* (reg8 *) PinAn__DM1)
#define PinAn_DM2                    (* (reg8 *) PinAn__DM2) 
/* Input Buffer Disable Override */
#define PinAn_INP_DIS                (* (reg8 *) PinAn__INP_DIS)
/* LCD Common or Segment Drive */
#define PinAn_LCD_COM_SEG            (* (reg8 *) PinAn__LCD_COM_SEG)
/* Enable Segment LCD */
#define PinAn_LCD_EN                 (* (reg8 *) PinAn__LCD_EN)
/* Slew Rate Control */
#define PinAn_SLW                    (* (reg8 *) PinAn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PinAn_PRTDSI__CAPS_SEL       (* (reg8 *) PinAn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PinAn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PinAn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PinAn_PRTDSI__OE_SEL0        (* (reg8 *) PinAn__PRTDSI__OE_SEL0) 
#define PinAn_PRTDSI__OE_SEL1        (* (reg8 *) PinAn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PinAn_PRTDSI__OUT_SEL0       (* (reg8 *) PinAn__PRTDSI__OUT_SEL0) 
#define PinAn_PRTDSI__OUT_SEL1       (* (reg8 *) PinAn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PinAn_PRTDSI__SYNC_OUT       (* (reg8 *) PinAn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(PinAn__SIO_CFG)
    #define PinAn_SIO_HYST_EN        (* (reg8 *) PinAn__SIO_HYST_EN)
    #define PinAn_SIO_REG_HIFREQ     (* (reg8 *) PinAn__SIO_REG_HIFREQ)
    #define PinAn_SIO_CFG            (* (reg8 *) PinAn__SIO_CFG)
    #define PinAn_SIO_DIFF           (* (reg8 *) PinAn__SIO_DIFF)
#endif /* (PinAn__SIO_CFG) */

/* Interrupt Registers */
#if defined(PinAn__INTSTAT)
    #define PinAn_INTSTAT            (* (reg8 *) PinAn__INTSTAT)
    #define PinAn_SNAP               (* (reg8 *) PinAn__SNAP)
    
	#define PinAn_0_INTTYPE_REG 		(* (reg8 *) PinAn__0__INTTYPE)
#endif /* (PinAn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PinAn_H */


/* [] END OF FILE */
